> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# (Experience) Update a charge status with V2 webhook

> (Experience) Update a charge status with V2 webhook



## OpenAPI

````yaml Flutterwave_v4_Open_API.json post /internal/charges/v2-webhook-update
openapi: 3.1.0
info:
  version: '1.0'
  title: Flutterwave APIs
  description: APIs for Enterprise Customers
  contact:
    name: Flutterwave
    email: hi@flutterwavego.com
servers:
  - url: https://developersandbox-api.flutterwave.com
    description: Dev server
security:
  - bearerAuth: []
paths:
  /internal/charges/v2-webhook-update:
    post:
      tags:
        - Internal
      summary: (Experience) Update a charge status with V2 webhook
      description: (Experience) Update a charge status with V2 webhook
      operationId: charges_v2_webhook_update_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                txId:
                  type: integer
                txRef:
                  type: string
                tenantId:
                  type: string
                accountId:
                  type: integer
      responses:
        '200':
          description: Status to indicate that the webhook was received successfully
        '400':
          description: Status to indicate bad webhook payload
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````